﻿## The script of the game goes in this file.

#initiliaze variables

init python:

#timing of 0.0416666666666667 represents 1/24, or 24 frames per second (fps)

    fps24 = 0.0416666666666667

    #timing of 0.0416666666666667 represents 1/24, or 24 frames per second (fps)

    fps12 = 0.0833333333333333

    #timing of 0.0166666666666667 represents 1/60, or 60 frames per second (fps)
    
    fps60 = 0.0166666666666667


## Declare characters used by this game. The color argument colorizes the name
## of the character.

#image ball0001 = "ball.0001.png"


#ball-anim
#successful at creating a looped animation
image ball-anim:
    "ball-0001.png"
    fps24
    "ball-0002.png"
    fps24
    "ball-0003.png"
    fps24
    "ball-0004.png"
    fps24
    "ball-0005.png"
    fps24
    "ball-0006.png"
    fps24
    "ball-0007.png"
    fps24
    "ball-0008.png"
    fps24
    "ball-0009.png"
    fps24
    "ball-0010.png"
    fps24
    "ball-0011.png"
    fps24
    "ball-0012.png"
    fps24
    repeat

#slow down to 12 frames per second
image ball-anim2:
    "ball-0001.png"
    fps12
    "ball-0002.png"
    fps12
    "ball-0003.png"
    fps12
    "ball-0004.png"
    fps12
    "ball-0005.png"
    fps12
    "ball-0006.png"
    fps12
    "ball-0007.png"
    fps12
    "ball-0008.png"
    fps12
    "ball-0009.png"
    fps12
    "ball-0010.png"
    fps12
    "ball-0011.png"
    fps12
    "ball-0012.png"
    fps12
    repeat

#speed up to 60 frames per second
image ball-anim3:
    "ball-0001.png"
    fps60
    "ball-0002.png"
    fps60
    "ball-0003.png"
    fps60
    "ball-0004.png"
    fps60
    "ball-0005.png"
    fps60
    "ball-0006.png"
    fps60
    "ball-0007.png"
    fps60
    "ball-0008.png"
    fps60
    "ball-0009.png"
    fps60
    "ball-0010.png"
    fps60
    "ball-0011.png"
    fps60
    "ball-0012.png"
    fps60
    repeat



define d = Character('Dorne')


## The game starts here.

label start:

    ## Show a background. This uses a placeholder by default, but you can add a
    ## file (named either "bg room.png" or "bg room.jpg") to the images
    ## directory to show it.

    scene bg room

    ## This shows a character sprite. A placeholder is used, but you can replace
    ## it by adding a file named "eileen happy.png" to the images directory.

    #show eileen happy
    ## These display lines of dialogue.

    "Hello, Dorne here."
    

    d "This demo illustrates the use of {b}2D animation{/b}."

    d "Please refer to the #comments for more details"

    d "The following example is a simple frame by frame animation of a ball drop. It runs at 24 frames per second."
    
    show ball-anim

    d "Up next, we are slowing the animation to 12 frames per second."

    hide ball-anim

    show ball-anim2

    d "Up next, we are speeding the animation to 60 frames per second."

    hide ball-anim2

    show ball-anim3

    d "End demo."
    ## This ends the game.

    return
